/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Kleber $
 *  Last update : $Date: 2000/07/12 07:57:58 $
 *  Revision :    $Revision: 1.6 $
 *  State:        $State: Exp $
*/

package J2Ci;

/** 
 * The class <em>jDVPSPeerType</em> represents the C++-enumeration
 * DVPSPeerType.
 *
 * @author 	Andreas Schroeter, Joerg Riesmeier
*/
public class jDVPSPeerType
{
  /** 
   * Storage SCP peer
  */
  public static final int DVPSE_storage = 0;
  
  /** 
   * remote Print Management SCP
  */
  public static final int DVPSE_printRemote = 1;
  
  
  /** 
   * local Print Management SCP
  */
  public static final int DVPSE_printLocal = 2;
  

  /** 
   * local or remote Print Management SCP
  */
  public static final int DVPSE_printAny = 3;
  

  /** 
   * any type of peer
  */
  public static final int DVPSE_any = 4;
  
}

/*
 *  CVS Log
 *  $Log: jDVPSPeerType.java,v $
 *  Revision 1.6  2000/07/12 07:57:58  Kleber
 *  update PrintPanel
 *  update Browser
 *
 *  Revision 1.4  2000/06/29 06:38:51  Kleber
 *  first Prototype for IHE
 *
*/

