/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Kleber $
 *  Last update : $Date: 2000/07/12 07:57:58 $
 *  Revision :    $Revision: 1.6 $
 *  State:        $State: Exp $
*/

package J2Ci;

/** 
 * The class <em>jDVPSPresentationLUTType</em> represents the C++-enumeration
 * DVPSPresentationLUTType.
 *
 * @author 	Andreas Schroeter, Joerg Riesmeier
*/
public class jDVPSPresentationLUTType
{
  /** 
   * Presentation LUT Shape with value 'IDENTITY'
  */
  public static final int DVPSP_identity = 0;
  
  
  /** 
   * Presentation LUT Shape with value 'INVERSE'
  */
  public static final int DVPSP_inverse = 1;
  
  
  /** 
   * Presentation LUT look up table
  */
  public static final int DVPSP_table = 2;


  /** 
   * Presentation LUT Shape with value 'LIN OD'
  */
  public static final int DVPSP_lin_od = 3;  
}


/*
 *  CVS Log
 *  $Log: jDVPSPresentationLUTType.java,v $
 *  Revision 1.6  2000/07/12 07:57:58  Kleber
 *  update PrintPanel
 *  update Browser
 *
 *  Revision 1.4  2000/06/29 06:38:51  Kleber
 *  first Prototype for IHE
 *
 *  Revision 1.1.1.1  1999/05/14 09:33:10  Schroeter
 *  initial commit of release 1.0
 *
*/
