/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Kleber $
 *  Last update : $Date: 2000/07/14 18:10:12 $
 *  Revision :    $Revision: 1.6 $
 *  State:        $State: Exp $
*/

package browser;


import J2Ci.*;
import java.awt.*;
import main.*;
import javax.swing.*;
/**
 * This Thread class asks the database for new instances. If an instance was received
 * the tree will be updated.
 *
 * @author Andreas Schroeter
 * @since 30.04.1999 
*/
public class UpdateThread extends Thread
{
    StudyMan client;
    jDVInterface dvi;
   
    
    public UpdateThread (StudyMan sm, jDVInterface dvi)
    {
        client = sm;
        this.dvi = dvi;
        
        
    }
    
/**
	* The Thread-Method for checking for new instances in the database
    */
    public void run()
    {
	while (true)
	{
	    try
	    {
	        Thread.sleep (2000); // wait 2 secs / idle
	        SwingUtilities.invokeLater(new UpdateRun());
	     }
	    catch(Exception e)
	    {
	       
	    }
	        
	}
    }
	
    public class UpdateRun implements Runnable
    {
	public UpdateRun()
	{
	}
	public void run()
	{
	    if (dvi.newInstancesReceived()) 
	    {
	    	client.refreshTree();
	    	Controller.instance().fireStatus(new StatusLineEvent(this,StatusLineEvent.SET_DES,DSComponentType.BROWSER,"New Instances Arrived!"));
	        Toolkit.getDefaultToolkit().beep();
	    }  	                   
	    
	}
    }
}

/*
 *  CVS Log
 *  $Log: UpdateThread.java,v $
 *  Revision 1.6  2000/07/14 18:10:12  Kleber
 *  add: new refreshTree Function in StudyMan
 *
 *  Revision 1.5  2000/06/30 10:37:22  Kleber
 *  chg: Updaten Study-Manager
 *  chg: Support Stored Print
 *
 *  Revision 1.4  2000/06/29 06:25:20  Kleber
 *  first Prototype for IHE
 *
 *  Revision 1.3  2000/06/13 16:01:42  Kleber
 *  chg: mulitselection in browser
 *
 *  Revision 1.2  2000/06/06 10:27:35  Kleber
 *  chg: modify saving functions
 *
 *  Revision 1.1.1.1  2000/06/02 07:02:08  Kleber
 *  new CVS init
 *
 *  Revision 1.2  2000/03/17 14:07:55  kleber
 *  chg: Layout texts on GUI
 *
 *  Revision 1.1.1.1  2000/03/13 14:39:52  kleber
 *  init log for first free release
 *
 *  Revision 1.1.1.1  1999/05/14 09:33:10  Schroeter
 *  initial commit of release 1.0
 *
*/
