/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Kleber $
 *  Last update : $Date: 2000/07/17 09:29:42 $
 *  Revision :    $Revision: 1.7 $
 *  State:        $State: Exp $
*/
package viewer.gui;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import main.*;
    import java.util.*;

/**
 * This class contains the GUI for the stack function panel
 * 
 * @author Klaus Kleber
 * @since 20.08.1999
 */
public class StackFunctionPanel extends JPanel 
{
    
    
    GuiComponents gui;
    
    /**
     * Constructor
     * 
     * @param orientation
     */
    public StackFunctionPanel()
    {
        gui =  GuiComponents.getInstance();
        //setBorder(BorderFactory.createEtchedBorder());
        JPanel imagePanel = new JPanel();
        //setLayout(new FlowLayout(FlowLayout.LEFT));
         imagePanel.setBorder(BorderFactory.createTitledBorder("Move in Image Stack"));
         imagePanel.add(gui.stackLastImageButton);
         imagePanel.add(gui.stackImageRightButton);
         
         imagePanel.add(gui.currentImageTextField);
         imagePanel.add(new JLabel("out of"));
         imagePanel.add(gui.maxImageTextField);
         imagePanel.add(gui.stackImageLeftButton);
         imagePanel.add(gui.stackFirstImageButton);
         
         add(imagePanel);
        JPanel framePanel = new JPanel();
         framePanel.setBorder(BorderFactory.createTitledBorder("Move in Frame Stack"));
         framePanel.add(gui.stackLastFrameButton);
         framePanel.add(gui.stackFrameRightButton);
         
         framePanel.add(gui.currentFrameTextField);
         framePanel.add(new JLabel("out of"));
         framePanel.add(gui.maxFrameTextField);
         framePanel.add(gui.stackFrameLeftButton);
         framePanel.add(gui.stackFirstFrameButton);
         
         add(framePanel);
         JPanel applyPanel = new JPanel();
         applyPanel.setBorder(BorderFactory.createTitledBorder("Apply Mode"));
         applyPanel.add(gui.applyFrameRadio);
         applyPanel.add(gui.applyImageRadio);
         applyPanel.add(gui.applyAllRadio);
         add(applyPanel);
         
         
    }
	
	public void setConfiguration(Hashtable config, String orient)
	{
            
	    
	}
    
}
/*
 *  CVS Log
 *  $Log: StackFunctionPanel.java,v $
 *  Revision 1.7  2000/07/17 09:29:42  Kleber
 *  chg: minor correntions of the GUI
 *
 *  Revision 1.6  2000/07/07 17:57:02  Kleber
 *  release 07.07.2000
 *  chg: Update PrintPanel
 *
 *  Revision 1.5  2000/06/30 17:27:28  Kleber
 *  chg: Updaten Study-Manager
 *
 *  Revision 1.4  2000/06/29 06:38:58  Kleber
 *  first Prototype for IHE
 *
 *  Revision 1.3  2000/06/13 16:01:43  Kleber
 *  chg: mulitselection in browser
 *
 *  Revision 1.2  2000/06/06 10:29:54  Kleber
 *  add: apply display area, windowing and annotations to frames
 *  and more than one image
 *
 *  Revision 1.1.1.1  2000/06/02 07:02:14  Kleber
 *  new CVS init
 *
 *  Revision 1.2  2000/03/17 14:07:55  kleber
 *  chg: Layout texts on GUI
 *
 *  Revision 1.1.1.1  2000/03/13 14:39:52  kleber
 *  init log for first free release
 *
 *
*/
